SDL_LoadBMP_IO(3)

NAME
SDL_LoadBMP_IO - Load a BMP image from a seekable SDL data stream.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface * SDL_LoadBMP_IO(SDL_IOStream *src, bool closeio);

DESCRIPTION
The new surface should be freed with

SDL_DestroySurface (). Not doing so will result in a memory leak.

FUNCTION PARAMETERS

src the data stream for the surface.

closeio
    if true, calls SDL_CloseIO () on src before returning, even in the case of an error.

RETURN VALUE
( SDL_Surface
 *) Returns a pointer to a new

SDL_Surface
 structure or NULL on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_DestroySurface(3), •(3), SDL_LoadBMP(3), •(3), SDL_SaveBMP_IO(3)